import adonthell

# -- initialize event handler and gametime subsystems
adonthell.event_handler_init ()
adonthell.gametime_init (20)

switch = 1

# -- create some mutable items:
Torch1 = adonthell.item_base (1)
Torch1.load ("small_torch.item")
Torch2 = adonthell.item_base (1)
Torch2.load ("small_torch.item")
Torch3 = adonthell.item_base (1)
Torch3.load ("small_torch.item")
Torch4 = adonthell.item_base (1)
Torch4.load ("small_torch.item")
Torch5 = adonthell.item_base (1)
Torch5.load ("small_torch.item")
Torch6 = adonthell.item_base (1)
Torch6.load ("small_torch.item")
Torch7 = adonthell.item_base (1)
Torch7.load ("small_torch.item")

# -- create an immutable item:
Coin = adonthell.item_base (0)
Coin.load ("coin.item")

# -- create some slots:
A = adonthell.slot (None, "A")
B = adonthell.slot (None, "B")
C = adonthell.slot (None, "C")
D = adonthell.slot (None, "D")
E = adonthell.slot (None, "E")
F = adonthell.slot (None, "F")

# -- populate slots
A.add (Coin, 500)
B.add (Coin, 1000)
C.add (Torch1)
C.add (Torch2)
D.add (Torch3)
D.add (Torch4)
D.add (Torch5)
D.add (Torch6)
D.add (Torch7)

# -- tests
print "Slot A count/max %i/%i, item %s" % (A.count (), A.get_item ().max_stack (), A.get_item ().name ())
print "Slot B count/max %i/%i, item %s" % (B.count (), B.get_item ().max_stack (), B.get_item ().name ())
print "Slot C count/max %i/%i, item %s" % (C.count (), C.get_item ().max_stack (), C.get_item ().name ())
print "Slot D count/max %i/%i, item %s" % (D.count (), D.get_item ().max_stack (), D.get_item ().name ())
print "Slot E count %i" % (E.count ())
print "Slot F count %i" % (F.count ())

print "\nMoving 900 items from B to A:"
print "-----------------------------"
A.add (B.get_item (), 900)
print "Slot A count/max %i/%i, item %s" % (A.count (), A.get_item ().max_stack (), A.get_item ().name ())
print "Slot B count/max %i/%i, item %s" % (B.count (), B.get_item ().max_stack (), B.get_item ().name ())

print "\nMoving 55 items from A to B:"
print "-----------------------------"
B.add (A.get_item (), 55)
print "Slot A count/max %i/%i, item %s" % (A.count (), A.get_item ().max_stack (), A.get_item ().name ())
print "Slot B count/max %i/%i, item %s" % (B.count (), B.get_item ().max_stack (), B.get_item ().name ())

print "\nMoving 2000 items from A to F:"
print "------------------------------"
F.add (A.get_item (), 2000)
print "Slot A count %i" % (A.count ())
print "Slot F count/max %i/%i, item %s" % (F.count (), F.get_item ().max_stack (), F.get_item ().name ())

print "\nMoving 10 items from D to C:"
print "----------------------------"
C.add (D.get_item (), 10)
print "Slot C count/max %i/%i, item %s" % (C.count (), C.get_item ().max_stack (), C.get_item ().name ())
print "Slot D count/max %i/%i, item %s" % (D.count (), D.get_item ().max_stack (), D.get_item ().name ())

print "\nMoving 1 item from C to D:"
print "--------------------------"
D.add (C.get_item (), 1)
print "Slot C count/max %i/%i, item %s" % (C.count (), C.get_item ().max_stack (), C.get_item ().name ())
print "Slot D count/max %i/%i, item %s" % (D.count (), D.get_item ().max_stack (), D.get_item ().name ())

print "\nMoving 6 items from C to E:"
print "---------------------------"
E.add (C.get_item (), 6)
print "Slot C count %i" % (C.count ())
print "Slot E count/max %i/%i, item %s" % (E.count (), E.get_item ().max_stack (), E.get_item ().name ())
